//
//  ONSLGameInfo.h
//  ONSLauncher
//
//  Created by tmkk on Wed Mar 08 2006.
//  Copyright (c) 2006 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface ONSLGameInfo : NSObject {
	NSTextField *titleField;
	NSTextField *pathField;
	NSString *title;
	NSString *path;
	NSString *fontName;
	NSString *imagePath;
	NSString *otherArgs;
	BOOL isPlaying;
	BOOL fullscreenMode;
	BOOL varEditMode;
	NSTask *task;
	id delegate;
}

- (id)initWithDelegate:(id)del;
- (void)setTitle:(NSString *)str;
- (void)setPath:(NSString *)str;
- (void)setFontName:(NSString *)str;
- (void)setImagePath:(NSString *)str;
- (void)setOtherArgs:(NSString *)str;
- (NSString *)title;
- (NSString *)path;
- (NSString *)fontName;
- (NSString *)imagePath;
- (NSString *)otherArgs;
- (void)addToTable:(id)table row:(int)row;
- (void)removeFromTable;
- (void)setFrameWidth:(int)width;
- (BOOL)isPlaying;
- (void)setPlaying:(BOOL)flag;
- (void)execute;
- (void)terminate;
- (void)clearTask;
- (void)setFullscreenMode:(BOOL)flag;
- (void)setVarEditMode:(BOOL)flag;
- (BOOL)fullscreenMode;
- (BOOL)varEditMode;
@end
