/* ONSLController */

#import <Cocoa/Cocoa.h>

@interface ONSLController : NSObject
{
    IBOutlet id o_editButton;
    IBOutlet id o_gameEditPane;
    IBOutlet id o_gameListTable;
    IBOutlet id o_launchButton;
    IBOutlet id o_mainWindow;
    IBOutlet id o_prefEditModeEnabled;
    IBOutlet id o_prefFullscreenEnabled;
    IBOutlet id o_prefGameDirectory;
    IBOutlet id o_prefGameFont;
    IBOutlet id o_prefGameIcon;
    IBOutlet id o_prefGameName;
    IBOutlet id o_prefGameOption;
    IBOutlet id o_prefPane;
    IBOutlet id o_removeButton;
	IBOutlet id o_logView;
	IBOutlet id o_fullscreenMode;
	IBOutlet id o_varEditMode;
	IBOutlet id o_prefFontAdd;
	IBOutlet id o_prefFontEdit;
	IBOutlet id o_prefFontRemove;
	IBOutlet id o_prefFontTable;
	IBOutlet id o_prefFontName;
	IBOutlet id o_prefFontPath;
	IBOutlet id o_fontEditPane;
	IBOutlet id o_executePath;
	IBOutlet id o_selectOnscripter;
	IBOutlet id o_terminateOnExit;
	
	BOOL quitOK;
	id mgr;
	id fontMgr;
}
- (IBAction)addGame:(id)sender;
- (IBAction)editGame:(id)sender;
- (IBAction)endEdit:(id)sender;
- (IBAction)removeGame:(id)sender;
- (IBAction)launchGame:(id)sender;
- (IBAction)chooseGameDirectory:(id)sender;
- (IBAction)removeIcon:(id)sender;
- (IBAction)addFont:(id)sender;
- (IBAction)editFont:(id)sender;
- (IBAction)removeFont:(id)sender;
- (IBAction)chooseFont:(id)sender;
- (IBAction)endEditFont:(id)sender;
- (void)addLogText:(NSString *)str;
- (void)updateTable;
- (void)createFontMenu;
- (id)fontManager;
- (NSString *)executePath;
@end
