//
//  ONSLGameManager.h
//  ONSLauncher
//
//  Created by tmkk on Wed Mar 08 2006.
//  Copyright (c) 2006 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface ONSLGameManager : NSObject {
	NSMutableArray *gameInfoArr;
	id delegate;
}

- (id)initWithDelegate:(id)del;
- (int)numberOfGames;
- (void)setWidthOfGameInfo:(int)width;
- (void)addGameInfo:(id)gameInfo;
- (id)gameInfoAtIndex:(int)idx;
- (void)removeGameInfoAtIndex:(int)idx;
- (void)redrawGameInfoAtTable:(id)table;
- (void)terminateAllGames;
- (BOOL)terminateOK;
- (id)saveGameList;
- (void)loadGameList:(id)list;
- (void)fontRemoved:(NSString *)name;
- (void)fontNameHasChangedFrom:(NSString *)oldName to:(NSString *)newName;
@end
